=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(doublevectors)
add_subdirectory(qgeoaddress)
add_subdirectory(qgeoshape)
add_subdirectory(qgeorectangle)
add_subdirectory(qgeocircle)
add_subdirectory(qgeopath)
add_subdirectory(qgeopolygon)
add_subdirectory(qgeocoordinate)
add_subdirectory(qgeocoordinateobject)
add_subdirectory(qgeolocation)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)
if(TARGET Qt::Quick AND NOT ANDROID)
    add_subdirectory(dummypositionplugin)
    add_subdirectory(declarative_positioning_core)
    add_subdirectory(declarative_geolocation)
    add_subdirectory(qdeclarativegeolocation)
    add_subdirectory(qdeclarativeposition)
    add_subdirectory(qdeclarativepositionsource)
    add_subdirectory(qquickgeocoordinateanimation)
endif()
if(NOT ANDROID)
    add_subdirectory(positionplugin)
    add_subdirectory(positionplugintest)
    add_subdirectory(qgeoareamonitor)
    add_subdirectory(qgeopositioninfosource)
    add_subdirectory(qgeosatelliteinfosource)
    add_subdirectory(qnmeapositioninfosource)
    add_subdirectory(qnmeasatelliteinfosource)
    add_subdirectory(cmake)
endif()
