=== src/plugins/position/CMakeLists.txt ===
# Generated from position.pro.

add_subdirectory(positionpoll)
if(FREEBSD OR LINUX OR OPENBSD OR (NETBSD AND TARGET Qt::DBus))
    add_subdirectory(geoclue2)
endif()
if(QT_FEATURE_gypsy)
    add_subdirectory(gypsy)
endif()
if(QT_FEATURE_winrt_geolocation)
    add_subdirectory(winrt)
endif()
if(IOS OR MACOS OR TVOS)
    add_subdirectory(corelocation)
endif()
if(ANDROID)
    add_subdirectory(android)
endif()
if(TARGET Qt::SerialPort AND TARGET Qt::Network)
    add_subdirectory(nmea)
endif()
