=== tests/auto/qgeoaddress/CMakeLists.txt ===
# Generated from qgeoaddress.pro.

#####################################################################
## tst_qgeoaddress Test:
#####################################################################

qt_internal_add_test(tst_qgeoaddress
    SOURCES
        tst_qgeoaddress.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:qgeoaddress.pro:<TRUE>:
# TEMPLATE = "app"
