=== tests/auto/qgeoareamonitor/CMakeLists.txt ===
# Generated from qgeoareamonitor.pro.

#####################################################################
## tst_qgeoareamonitor Test:
#####################################################################

qt_internal_add_test(tst_qgeoareamonitor
    SOURCES
        logfilepositionsource.cpp logfilepositionsource.h
        positionconsumerthread.cpp positionconsumerthread.h
        tst_qgeoareamonitor.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:qgeoareamonitor.pro:<TRUE>:
# OTHER_FILES = "*.txt"
# TEMPLATE = "app"
