=== debian/changelog ===
qt6-positioning (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 20:49:29 +0200

qt6-positioning (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:02:06 +0100

qt6-positioning (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 00:32:37 +0100

qt6-positioning (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999636)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:12:17 +0100
