## qt6-positioning 6.3.1

=== debian/changelog ===
qt6-positioning (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 07 Sep 2022 09:51:11 -0300

qt6-positioning (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:59 +0200

qt6-positioning (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 03:59:07 +0200

qt6-positioning (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:24:10 +0200

qt6-positioning (6.2.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders just for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 10:03:24 -0300

qt6-positioning (6.2.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:57 +0200

qt6-positioning (6.2.4-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit deaf18f77fc67d7be6534843a009a47e8df40eb4 to enable
    the geoclue2 plugin also on GNU/Hurd; patch
    upstream_CMake-enable-geoclue2-also-on-GNU-Hurd.patch.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Apr 2022 06:06:34 +0200
