## qt6-positioning 6.4.1

=== debian/changelog ===
qt6-positioning (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023075).

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Dec 2022 01:23:18 +0100

qt6-positioning (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update symbols from buildlogs.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 07:08:41 +0100

qt6-positioning (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Remove patches as they have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:29:22 +0200
