=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6serialport6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.4.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-serialport-dev (>= 6.4.1~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
