=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# Generated from examples.pro.
-
 qt_examples_build_begin(EXTERNAL_BUILD)
 
 if(TARGET Qt::Positioning)
