=== examples/positioning/geoflickr/CMakeLists.txt ===
--- 
+++ 
@@ -1,34 +1,25 @@
-# Generated from geoflickr.pro.
-
 cmake_minimum_required(VERSION 3.16)
 project(geoflickr LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/geoflickr")
 
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Qml)
-find_package(Qt6 COMPONENTS Quick)
-find_package(Qt6 COMPONENTS Network)
-find_package(Qt6 COMPONENTS Positioning)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Network Positioning Qml Quick)
 
 qt_add_executable(geoflickr
     qmllocationflickr.cpp
 )
+
 set_target_properties(geoflickr PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(geoflickr PRIVATE
     Qt::Core
     Qt::Gui
@@ -37,7 +28,6 @@
     Qt::Qml
     Qt::Quick
 )
-
 
 # Resources:
 set(flickr_resource_files
