=== examples/positioning/weatherinfo/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,15 @@
-# Generated from weatherinfo.pro.
-
 cmake_minimum_required(VERSION 3.16)
 project(weatherinfo LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/weatherinfo")
 
-find_package(Qt6 COMPONENTS Core)
-find_package(Qt6 COMPONENTS Gui)
-find_package(Qt6 COMPONENTS Network)
-find_package(Qt6 COMPONENTS Positioning)
-find_package(Qt6 COMPONENTS Qml)
-find_package(Qt6 COMPONENTS Quick)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Network Positioning Qml Quick)
 
 qt_add_executable(weatherinfo
     appmodel.cpp appmodel.h
@@ -29,10 +18,12 @@
     weatherapibackend.cpp weatherapibackend.h
     main.cpp
 )
+
 set_target_properties(weatherinfo PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(weatherinfo PRIVATE
     Qt::Core
     Qt::Gui
@@ -67,6 +58,12 @@
     NO_RESOURCE_TARGET_PATH
 )
 
+if(IOS)
+    set_target_properties(weatherinfo PROPERTIES
+        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/ios/Info.plist"
+    )
+endif()
+
 install(TARGETS weatherinfo
     RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
     BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
