=== debian/changelog ===
qt6-positioning (6.4.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 16:01:09 +0100

qt6-positioning (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:54:26 +0000

qt6-positioning (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:00:16 +0000

qt6-positioning (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 19:27:46 +0200

qt6-positioning (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042245).
  * Update symbols from buildlogs.
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jul 2023 15:01:25 +0200

qt6-positioning (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:34:49 +0100

qt6-positioning (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:36 +0100

qt6-positioning (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:09 +0100
