## qt6-positioning 6.6.1

=== debian/changelog ===
qt6-positioning (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 19:59:52 +0100

qt6-positioning (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 21:47:24 +0100

qt6-positioning (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 19:09:49 +0100
