## qt6-positioning 6.6.2

=== debian/changelog ===
qt6-positioning (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:30:58 +0200

qt6-positioning (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2 and rename it to qt6-*-private-abi.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 12:35:36 +0100

qt6-positioning (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add package for the private headers.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 18:54:53 +0100
