=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-serialport-dev (>= 6.6.1~),
-               qt6-svg-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-serialport-dev (>= 6.6.2~),
+               qt6-svg-dev (>= 6.6.2~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -33,6 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
+Provides: qt6-positioning-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -94,6 +95,20 @@
  This package contains the header development files used for building Qt 6
  applications using Qt 6 Positioning library.
 
+Package: qt6-positioning-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
+Description: Qt 6 Positioning - private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the private header development files used for
+ building Qt 6 applications using Qt 6 Positioning library.
+ .
+ Use at your own risk.
+
 Package: qt6-positioning-doc
 Architecture: all
 Multi-Arch: foreign
